# qs/addTakerToStream

**POST api/qs/addTakerToStream**

Sent by a LP to FM to add a taker to a stream’s consumer list. Adding takers to streams that are available to all takers is not allowed.

### Request

{% tabs %}
{% tab title="Schema" %}

```json
{
  "streamId": <string>,
  "takerId": <Efx::ClientId>
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
  "streamId": "1001c623-c99b-4a06-9577-fd91ae8b600f",
  "takerId": 2
}
```

{% endtab %}
{% endtabs %}

#### Request Fields

| Field    | Type     | Description                        |
| -------- | -------- | ---------------------------------- |
| streamId | string   | ID of a stream to update, required |
| takerId  | ClientID | ID of a taker to add, required     |

### Response

{% tabs %}
{% tab title="Schema" %}

```json
{
  "error": <int>
}
```

{% endtab %}

{% tab title="Example" %}

```json
{
}
```

{% endtab %}
{% endtabs %}

#### Response Fields

| Field | Type | Description                                       |
| ----- | ---- | ------------------------------------------------- |
| error | int  | Error code, 0 or not present on success, optional |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/qs-stream-management/qs-addtakertostream.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
